/* =====================================
   FONT FACE
   ===================================== */

@import url('https://fonts.googleapis.com/css2?family=Archivo:ital,wght@0,100..900;1,100..900&display=swap');

/* ======================================
   GENERAL
   ====================================== */
body, html {
	background-color: #FFF;
	margin: 0px;
	padding: 0px;
    font-family: "Archivo", sans-serif;
	font-size: 24px;
	font-weight:400;
    font-optical-sizing: auto;
    font-style: normal;
	line-height:1.5;
	color:#4D4D4D;
    text-align: center;
	height:100%;
	}
html { -webkit-text-size-adjust: 100%;	}
img {
	border: 0;
	-ms-interpolation-mode: bicubic;
	vertical-align: middle;
    }
a {	
    text-decoration: none;
    }

strong { font-weight: 700; }
p { padding:0; margin: 0}
* {
	margin: 0;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	}
.img-full {
	width:100%;
    height: auto;
    }

/* ======================================
   SECCIONES
   ====================================== */
.main {
	width:1180px;
	padding:0;
	margin:0 auto;
	clear:both;
	}
h1 {
	font-size: 60px;
    font-weight: 100;
	line-height:1.1;
	margin: 0px;
    padding: 0px;
    color: #0034CC;
	}
h3 {
	font-size: 30px;
    font-weight: 600;
	line-height:1.1;
	margin: 0px;
    padding: 0px;
	}

/* CONTENIDOS ============================ */
#top {
	width:100%;
    float: left;
    padding: 50px 0px 0px 0px;
    background-image: url("img/prymax-back.jpg");
    background-repeat: no-repeat;
    background-position: center top;
    background-size: cover;
    min-height: 100%;
    position: relative;
	}
#logo {
	float:left;
	padding:0px;
    width: auto;
	}
#top #boton {
	float: right;
    width: auto;
	}
#top #boton a {
    display: inline-block;
	font-size: 26px;
    color: #fff;
    padding: 3px 60px 3px 30px;
    border: 1px solid #fff;
    -webkit-border-radius: 30px;
    -moz-border-radius: 30px;
    border-radius: 30px;
    background-image: url("img/flecha.svg");
    background-position: calc(100% - 30px) center;
    background-size: 19px 19px;
    background-repeat: no-repeat;
    transition: all 0.3s ease;
	}
#top #boton a:hover {
    background-color: #0034CC;
    border-color: #0034CC;
    transform: scale(1.05);
    }
#top .slogan {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 60px;
    font-weight: 600;
    color: #fff;
    text-align: center;
    line-height: 1.1;
    width: 100%;
    padding: 0 20px; /* margen para mobile */
    }
#top .frase {
    position: absolute;
    bottom: 90px;
    font-size: 30px;
    font-weight: 100;
    color: #fff;
    text-align: center;
    line-height: 1.2;
    width: 100%;
    letter-spacing: 0.03em;
    }


/* Soluciones  ---------------*/
#soluciones {
    float: left;
	width:100%;
	padding: 130px 0px;
	}
.separa {
    width: 40px;
    height: 40px;
    margin: 20px auto;
    }

.carrusel-wrapper {
    width: 100%;
    overflow: hidden;
    position: relative;
    padding-bottom: 90px; /* espacio flechas */
    }
.carrusel {
    display: flex;
    gap: 40px;
    padding: 0 100px;
    transition: transform 0.45s ease;
    }
.carrusel .item {
    min-width: 380px;
    height: 550px;
    position: relative;
    border-radius: 30px;
    overflow: hidden;
    flex-shrink: 0;
    }
.carrusel .item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform .4s ease;
    cursor: pointer;
    }
.carrusel .item:hover img {
    transform: scale(1.09);
    }
.carrusel .item span {
    position: absolute;
    bottom: 50px;
    left: 50px;
    font-size: 40px;
    line-height: 1.2;
    font-weight: 500;
    color: #fff;
    text-align: left;
    }
.controles {
    position: absolute;
    bottom: 0px;
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 30px;
    }
.controles button {
    width: 60px;
    height: 60px;
    cursor: pointer;
    border: none;
    background: none;
    }

@media only screen and (max-width: 767px) {
    .carrusel {
        padding: 0 20px !important;
        gap: 20px !important;
        }
    .carrusel .item {
        min-width: calc(100vw - 40px) !important;
        width: calc(100vw - 40px) !important;
        height: auto !important;
        }
    .carrusel .item img {
        width: 100% !important;
        height: auto !important;
        object-fit: cover !important;
        }
    .carrusel .item span {
        bottom: 50px;
        left: 50px;
        font-size: 36px;
        }
    .controles button,
    .controles button img {
        width: 50px;
        height: 50px;
        }
    .carrusel-wrapper {
        padding-bottom: 70px;
        }

    }


/* Cotizar  ---------------*/
#cotiza {
    float: left;
	width:100%;
	padding: 140px 0px;
    background-image: url("img/cotizar-back.jpg");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
	}

#cotiza .btn-cotizar {
    display: inline-block;
	font-size: 40px;
    color: #fff;
    padding: 8px 90px 8px 60px;
    border: 2px solid #fff;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    border-radius: 50px;
    background-image: url("img/flecha.svg");
    background-position: calc(100% - 55px) center;
    background-size: 22px 22px;
    background-repeat: no-repeat;
	}
#cotiza .btn-cotizar:hover {
    background-color: #fff;
    color: #0034CC;
    border-color: #0034CC;
    transform: scale(1.05);
    background-image: url("img/flecha2.svg");
    transition: all 0.3s ease !important;
    }


/* Quienes somos  ---------------*/
#quienes {
    float: left;
	width:100%;
    padding: 130px 0px;
    background-color: #F9F9F9;
    }
#quienes .columna {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 80px;
    align-items: start;
    text-align: left;
    font-weight: 300;
    line-height: 1.8;
    padding-top: 30px;
    }


/* Servicios  ---------------*/
#servicios {
    float: left;
	width: 100%;
    padding: 130px 0px;
    }

.servicios {
    display: flex;
    gap: 20px;
    }
.servicios .item {
    position: relative;
    width: 25%;
    background: #EDEDED;
    border-radius: 25px;
    overflow: hidden;
    cursor: pointer;
    transition: background .3s;
    text-align: center;
    min-height: 450px;
    }
.servicios .item::after {
    content: "";
    position: absolute;
    width: 180px;
    height: 1px;
    background: #4D4D4D;
    transform: rotate(45deg);
    top: 150px;
    left: 50px;
    z-index: 5;
    transition: .4s ease;
    }
.servicios .item .numero {
    position: absolute;
    width: 100%;
    top:-120px;
    left: 0px;
    font-size: 250px;
    font-weight: 700;
    color: #ffffff;
    pointer-events: none;
    z-index: 4;
    transition: .4s ease;
    }
.servicios .item h3 {
    position: relative;
    z-index: 2;
    margin-top: 230px;
    transition: transform .4s ease, color .3s;
    }
.servicios .item::before {
    content: ""; /* Panel azul*/
    position: absolute;
    left: 0;
    bottom: -100%;
    width: 100%;
    height: 100%;
    background: #0034CC;
    border-radius: 25px;
    transition: bottom .45s ease;
    z-index: 1;
    }
.servicios .item .detalle {
    position: absolute;
    bottom: 60px;
    left: 40px;
    right: 40px;
    color: #fff;
    opacity: 0;
    transform: translateY(20px);
    transition: .4s ease;
    z-index: 3;
    font-size: 24px;
    line-height: 1.3;
    }

.servicios .item.active::before,
.servicios .item:hover::before {
    bottom: 0;
    }
.servicios .item.active h3,
.servicios .item:hover h3 {
    transform: translateY(-60px);
    color: #fff;
    }
.servicios .item.active .detalle,
.servicios .item:hover .detalle {
    opacity: 1;
    transform: translateY(0px);
    }
.servicios .item.active::after,
.servicios .item:hover::after {
    background: #fff;
    top: 60px;
    }
.servicios .item.active .numero,
.servicios .item:hover .numero {
    color: rgba(2550,255,255,0.15);
    }


/* Contacto ---------------*/
#contacto {
    float: left;
    width:100%;
    padding: 90px 0px 120px 0px;
    background-image: url("img/contacto-back.jpg");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    overflow: hidden;
	}
#contacto h1 {
    color: #fff;
	}
#contacto .columna1 {
    text-align: left;
    width: 30%;
    float: left;
    }
#contacto .columna2 {
    width: 60%;
    float: left;
    text-align: left;
    }
#contacto .item-ubic,
#contacto .item-tel,
#contacto .item-mail,
#contacto .item-ig {
    padding: 12px 0px;
    padding-left: 55px;
    background-position: left center;
    background-repeat: no-repeat;
    background-size: 45px 45px;
    display: block;
    color: #fff;
    font-weight: 100;
    }
#contacto .item-ubic {
    background-image: url("img/icon-location.svg");
    }
#contacto .item-tel {
    background-image: url("img/icon-tel.svg");
    }
#contacto .item-mail {
    background-image: url("img/icon_mail.svg");
    }
#contacto .item-ig {
    background-image: url("img/icon-ig.svg");
    }

#whatsapp {
	position: fixed;
	right:30px;
	bottom:30px;
	display:block;
	z-index:9999;
	}
#whatsapp img {
    width: 60px;
    height: 60px;
    filter: drop-shadow(0px 0px 2px rgba(0,0,0,0.3));
	}

footer {
    float: left;
    width: 100%;
    background-color: #29292b;
    padding: 25px 0px;
    text-align: center;
    font-size: 15px;
    font-weight: 300;
    color: #EDEDED;
    letter-spacing: 1px;
    }

/* ===============================================================
   ============================================================ */


@media only screen and (min-width : 1024px) and (max-width : 1180px) {
.main {
	width: 90%;
	}
.servicios .item .detalle {
    font-size: 20px;
    bottom: 40px;
    }
#contacto .columna1 {
    width: 40%;
    float: left;
    }
    
}


@media only screen and (min-width : 768px) and (max-width : 1023px) {
body, html { font-size: 22px; }
h1 { font-size: 45px; }
.main {
	width: 90%;
	}
#top .slogan {
    font-size: 50px;
    }
#top .frase {
    padding: 0px 100px;
    }
.servicios {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    }
.servicios .item {
    width: calc(50% - 10px); /* 2 por fila */
    min-height: 450px;
    }
.servicios .item::after {
    left: 50%;
    transform: translateX(-50%) rotate(45deg);
    top: 140px;
    }
#contacto .columna1 {
    width: 100%;
    }
#contacto .columna2 {
    width: 100%;
    }

    
}




@media only screen and (max-width : 767px) {
body, html { font-size: 20px; }
h1 { font-size: 35px; }
.main {
	width: 85%;
    }
#logo {
    width: 100%;
	}
#logo img {
    width: 180px;
    height: auto;
	}
#top #boton {
    display: none;
	}
#top .slogan {
    top: 45%;
    font-size: 40px;
    }
#top .frase {
    bottom: 80px;
    font-size: 20px;
    font-weight: 300;
    padding: 0px 50px;
    }
#soluciones,
#quienes {
    padding: 60px 0px;
    }
#cotiza .btn-cotizar {
    font-size: 26px;
    padding: 8px 70px 8px 40px;
    background-position: calc(100% - 40px) center;
    background-size: 20px 20px;
    }
#quienes .columna {
    grid-template-columns: 1fr;
    gap: 30px;
    }

#servicios {
    padding: 80px 0px;
    }
.servicios {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    }
.servicios .item {
    width: 90%;
    min-height: 380px;
    margin: 0 auto;
    }
.servicios .item::after {
    width: 150px;
    left: 50%;
    transform: translateX(-50%) rotate(45deg);
    top: 90px;
    }
.servicios .item .detalle {
    bottom: 40px;
    font-size: 22px;
    }
#contacto .columna1 {
    width: 100%;
    }
#contacto .columna2 {
    width: 100%;
    }
#contacto .item-ubic,
#contacto .item-tel,
#contacto .item-mail,
#contacto .item-ig {
    font-size: 18px;
    font-weight: 300;
    }
#whatsapp {
	right:15px;
	bottom:15px;
	}
#whatsapp img {
    width: 55px;
    height: 55px;
	}
footer {
    font-size: 12px;
    padding: 20px 20px;
    letter-spacing: 0px;
    }
    
}

